### Name: RankAggreg
### Title: Weighted Rank Aggregation of partial ordered lists
### Aliases: RankAggreg
### Keywords: optimize robust

### ** Examples

# rank aggregation without weights
x <- matrix(c("A", "B", "C", "D", "E",
        "B", "D", "A", "E", "C",
        "B", "A", "E", "C", "D",
        "A", "D", "B", "C", "E"), byrow=TRUE, ncol=5)

toplist <- RankAggreg(x, 5, rho=.1)

# weighted rank aggregation
set.seed(100)
w <- matrix(rnorm(20), ncol=5)
w <- t(apply(w, 1, sort))

# using the Cross-Entropy Monte-Carlo algorithm
toplistS <- RankAggreg(x, 5, rho=.1, index.weights=w, use.weights=TRUE)
toplistK <- RankAggreg(x, 5, rho=.1, index.weights=w, use.weights=TRUE, distance="Kendall")

# using the Genetic algorithm
toplistS <- RankAggreg(x, 5, rho=.1, index.weights=w, use.weights=TRUE, method="Genetic")
toplistK <- RankAggreg(x, 5, index.weights=w, use.weights=TRUE, distance="Kendall", method="Genetic")



